
Smart Proxy - Feature #24016

Allow building the source tarball without the bundle installed

06/20/2018 10:16 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 1.19.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/591

  

Description

We have a Rakefile.dist that can be run without the whole bundle installed. It'd be great if we could use this to generate the tarball.

This should be possible because the rake task is essentially a script around git archive.

Associated revisions

Revision fbd693d4 - 06/20/2018 01:20 PM - Ewoud Kohl van Wijngaarden 

Fixes #24016 - Allow building a tarball without bundle

This allows generation of the source tarball without the whole bundle

installed. It also prints the generated filename.

History

#1 - 06/20/2018 10:19 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/smart-proxy/pull/591 added

#2 - 06/20/2018 02:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset fbd693d450d626f0513562b13eb215d5664a8476.

#3 - 08/29/2018 03:47 PM - Tomer Brisker

- Fixed in Releases 1.19.0 added
